=== extra/opendoar/Makefile ===
SHELL := /bin/bash

repos.tsv:
	./fetch.sh
