=== packaging/arch/PKGBUILD ===
# Maintainer: Martin Czygan <martin.czygan@uni-leipzig.de>

pkgname=metha
pkgver=0.2.16
pkgrel=0
pkgdesc="No frills command line OAI-PMH protocol harvester and cache."
arch=('i686' 'x86_64')
url="https://github.com/miku/metha"
license=('GPL')
makedepends=('go' 'git')
options=('!strip' '!emptydirs')
source=("${url}/archive/v${pkgver}.tar.gz")
sha256sums=('90d63ddee60059c0c8e1d9b70054d2deb13f3ac34d84fd1d5d41e45a18a69f1b')
_gourl='github.com/miku/metha/cmd/...'

prepare() {
  export GOPATH="${srcdir}"
  go get -u -v -f ${_gourl}
}

package() {
  install -Dm 775 "${srcdir}/bin/${pkgname}-cat" "${pkgdir}/usr/bin/${pkgname}-cat"
  install -Dm 775 "${srcdir}/bin/${pkgname}-files" "${pkgdir}/usr/bin/${pkgname}-files"
  install -Dm 775 "${srcdir}/bin/${pkgname}-fortune" "${pkgdir}/usr/bin/${pkgname}-fortune"
  install -Dm 775 "${srcdir}/bin/${pkgname}-id" "${pkgdir}/usr/bin/${pkgname}-id"
  install -Dm 775 "${srcdir}/bin/${pkgname}-ls" "${pkgdir}/usr/bin/${pkgname}-ls"
  install -Dm 775 "${srcdir}/bin/${pkgname}-sync" "${pkgdir}/usr/bin/${pkgname}-sync"
  install -Dm 775 "${srcdir}/${pkgname}-${pkgver}/docs/${pkgname}.1" "${pkgdir}/usr/share/man/man1/${pkgname}.1"
}

# vim:set ft=sh ts=2 sw=2 et:
